> ## Documentation Index
> Fetch the complete documentation index at: https://developer.surefeedback.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create mockup comment

> Create a new comment on a mockup.

Creates a new comment on a mockup.

## Request body

<ParamField body="mockup_id" type="string" required>
  UUID of the mockup.
</ParamField>

<ParamField body="content" type="string" required>
  Comment text content.
</ParamField>

<ParamField body="x_coord" type="number">
  Horizontal pin position as a percentage.
</ParamField>

<ParamField body="y_coord" type="number">
  Vertical pin position as a percentage.
</ParamField>

<ParamField body="page_number" type="integer">
  PDF page number for document mockups. Minimum: `1`.
</ParamField>

<ParamField body="mentions" type="array">
  Array of mentioned user IDs.
</ParamField>

<ParamField body="priority" type="string">
  Optional priority. Default: `MEDIUM`.
</ParamField>

<ResponseExample>
  ```json 201 theme={null}
  {
    "success": true,
    "message": "Comment created successfully",
    "data": {
      "id": "220e8400-e29b-41d4-a716-44665544000c",
      "mockup_id": "110e8400-e29b-41d4-a716-44665544000b",
      "content": "The button color should be darker.",
      "status": "OPEN",
      "priority": "MEDIUM",
      "x_coord": 45.2,
      "y_coord": 30.1,
      "page_number": 1
    }
  }
  ```
</ResponseExample>
